<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link href="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.10/summernote-bs4.css" rel="stylesheet">
    <title>Get High Auction: Bidding</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" id="brand" href="#">Get High Auction</a>
    </nav>

    <!-- Product details and Templates -->
    <div class="container-fluid pl-0">
        <div class="row pt-2" id="image-information-bidding">
            
        </div>
        <hr>
        <div class="row">
            <div class="col-md-8" id="description">
                <!-- Rendering template here! -->
            </div>
            <div class="col-md-4" id="biddingHistory">
                <!-- Rendering template here! -->
            </div>
        </div>
        <div id="sellerFunctions" hidden>
            <hr>
            <h1>Dành cho người bán</h1>
            <hr>
            <div class="row">
                <div class="col-md-12">
                    <button type="button" class="btn btn-danger" id="banHighestBiddingUser">KICK người giữ giá cao nhất!</button>
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-12" id="description">
                    <div id="summernote"></div>
                    <div class="text-center mt-3">
                        <button type="button" class="btn btn-primary" style="width: 10rem;" id="saveDescriptionButton">Lưu</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script id="image-information-bidding-template" type="text/x-handlebars-template">
        <div class="col-md-4">
            <div id="productImagesCarouselIndicators" class="carousel slide carousel-fade" data-ride="carousel">
                <ol class="carousel-indicators">
                    {{#each images}}
                    <li data-target="#productImagesCarouselIndicators" data-slide-to="{{@index}}"{{#if @first}} class="active"{{/if}}></li>
                    {{/each}}
                </ol>
                <div class="carousel-inner">
                    {{#each images}}
                    <div class="carousel-item{{#if @first}} active{{/if}}">
                        <img class="d-block w-100" src="{{buildAbsoluteImagePath this}}" alt="Hình ảnh #{{math @index "+" 1}}">
                    </div>
                    {{/each}}
                </div>
                <a class="carousel-control-prev" href="#productImagesCarouselIndicators" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#productImagesCarouselIndicators" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>
        </div>
        <div class="col-md-4" id="productStatistics">
            <div class="text-center">
                <h1>{{name}}</h2>
                {{#if highestBiddingEntry}}
                <h2>{{formatCurrency highestBiddingEntry.price}}</h3>
                {{else}}
                <h2>{{formatCurrency startPrice}}</h3>
                {{/if}}
            </div>
            <ul class="list-group list-group-flush">
                <li class="list-group-item"><h5><i class="fa fa-rocket" style="color:red"></i> <strong>Đăng bởi:</strong> <mark>{{hideStringWithAsterisk seller.userName}}</mark> <span class="badge badge-dark">{{#if seller.reviewPoint}}{{formatNumber seller.reviewPoint}}{{else}}NEW MEMBER{{/if}}</span> <button data-type="public-profile" data-id={{seller._id}} type="button" class="btn btn-outline-danger"><i class="fa fa-id-card-o" style="color: red;"></i></button></h5></li>
                {{#if highestBiddingEntry}}
                <li class="list-group-item"><h5><i class="fa fa-thumb-tack" style="color:gold"></i> <strong>Giữ giá cao nhất:</strong> {{highestBiddingEntry.bidder.userName}} <span class="badge badge-dark">{{#if highestBiddingEntry.bidder.reviewPoint}}{{formatNumber highestBiddingEntry.bidder.reviewPoint}}{{else}}NEW MEMBER{{/if}}</span> <button data-type="public-profile" data-id={{highestBiddingEntry.bidder._id}} type="button" class="btn btn-outline-danger" style="color: red;"><i class="fa fa-id-card-o"></i></button></h5></li>
                {{else}}
                <li class="list-group-item"><h5><i class="fa fa-thumb-tack" style="color:gold"></i> <strong>Giữ giá cao nhất:</strong> KHÔNG CÓ!</h5></li>
                {{/if}}
                <li class="list-group-item"><h5><i class="fa fa-clock-o" style="color:greenyellow"></i> <strong>Bắt đầu:</strong> {{formatDateTime startTime}}</h5></li>
                <li class="list-group-item"><h5><i class="fa fa-clock-o" style="color:orangered"></i> <strong>Kết thúc:</strong> {{formatDateTime endTime}}</h5></li>
            </ul>
        </div>
        <div class="col-md-4">
            <button class="btn btn-lg btn-success mb-2" id="reloadProductButton">Tải lại thông tin</button>
            <div class="row no-gutters">
                <div class="col-md-8">
                    <input type="text" class="form-control form-control-lg" id="biddingPriceInput" data-original-price="{{#if highestBiddingEntry}}{{math highestBiddingEntry.price "+" priceStep}}{{else}}{{math startPrice "+" priceStep}}{{/if}}" value="{{#if highestBiddingEntry}}{{math highestBiddingEntry.price "+" priceStep}}{{else}}{{math startPrice "+" priceStep}}{{/if}}">
                </div>
                <div class="col-md-4">
                    <button class="btn btn-lg btn-warning ml-2" id="addBiddingButton">Đặt giá</button>
                </div>
            </div>
        </div>
    </script>

    <script id="statistics-template" type="text/x-handlebars-template">
        <div class="text-center">
            <h1>{{name}}</h2>
            {{#if highestBiddingEntry}}
            <h2>{{formatCurrency highestBiddingEntry.price}}</h3>
            {{else}}
            <h2>{{formatCurrency startPrice}}</h3>
            {{/if}}
        </div>
        <ul class="list-group list-group-flush">
            <li class="list-group-item"><h5><i class="fa fa-rocket" style="color:red"></i> <strong>Đăng bởi:</strong> <mark>{{hideStringWithAsterisk seller.userName}}</mark> <span class="badge badge-dark">{{#if seller.reviewPoint}}{{formatNumber seller.reviewPoint}}{{else}}NEW MEMBER{{/if}}</span> <button data-type="public-profile" data-id={{seller._id}} type="button" class="btn btn-outline-danger"><i class="fa fa-id-card-o" style="color: red;"></i></button></h5></li>
            {{#if highestBiddingEntry}}
            <li class="list-group-item"><h5><i class="fa fa-thumb-tack" style="color:gold"></i> <strong>Giữ giá cao nhất:</strong> {{highestBiddingEntry.bidder.userName}} <span class="badge badge-dark">{{#if highestBiddingEntry.bidder.reviewPoint}}{{formatNumber highestBiddingEntry.bidder.reviewPoint}}{{else}}NEW MEMBER{{/if}}</span> <button data-type="public-profile" data-id={{highestBiddingEntry.bidder._id}} type="button" class="btn btn-outline-danger" style="color: red;"><i class="fa fa-id-card-o"></i></button></h5></li>
            {{else}}
            <li class="list-group-item"><h5><i class="fa fa-thumb-tack" style="color:gold"></i> <strong>Giữ giá cao nhất:</strong> KHÔNG CÓ!</h5></li>
            {{/if}}
            <li class="list-group-item"><h5><i class="fa fa-clock-o" style="color:greenyellow"></i> <strong>Bắt đầu:</strong> {{formatDateTime startTime}}</h5></li>
            <li class="list-group-item"><h5><i class="fa fa-clock-o" style="color:orangered"></i> <strong>Kết thúc:</strong> {{formatDateTime endTime}}</h5></li>
        </ul>
    </script>

    <script id="description-template" type="text/x-handlebars-template">
        {{#each this}}
            {{#if @first}}
            <div>{{{content}}}</div>
            {{else}}
            <span class="badge badge-warning">{{formatDateTime time}}</span>
            <div>{{{content}}}</div>
            {{/if}}
        {{/each}}
    </script>

    <script id="biddingHistory-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Mức giá</th>
                    <th scope="col">Người ra giá</th>
                    <th scope="col">Thời điểm</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr>
                    <th scope="row">{{formatCurrency price}}</th>
                    <td>{{hideStringWithAsterisk bidder.userName}}</td>
                    <td>{{formatDateTime time}}</td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>
    <!-- ================================================================ -->

    <!-- Public Profile Modal and Template -->
    <div class="modal fade" id="publicProfile" tabindex="-1" role="dialog" aria-labelledby="publicProfileLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="publicProfileLabel">Public Profile</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="publicProfileContent">

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <script id="publicProfileContent-template" type="text/x-handlebars-template">
        <div class="row">
            <div class="col-md-12">
                <h1>{{userName}} <span class="badge badge-secondary">{{#if reviewPoint}}{{formatNumber reviewPoint}}{{else}}NEW MEMBER{{/if}}</span></h1>
            </div>
        </div>
        <hr>
        <div class="row">
            <div class="col-md-12">
                <table class="table table-striped table-dark">
                    <thead>
                        <tr>
                            <th scope="col">Điểm</th>
                            <th scope="col">Nhận xét</th>
                        </tr>
                    </thead>
                    <tbody>
                        {{#each reviews}}
                        <tr>
                            <th scope="row">{{#if isOK}}+1{{else}}-1{{/if}}</th>
                            <td>{{comment}}</td>
                        </tr>
                        {{/each}}
                    </tbody>
                </table>
            </div>
        </div>
    </script>
    <!-- ================================================================ -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.min.js" integrity="sha256-F6h55Qw6sweK+t7SiOJX+2bpSAa3b/fnlrVCJvmEj1A=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/additional-methods.min.js" integrity="sha256-0Yg/eibVdKyxkuVo1Qwh0DspoUCHvSbm/oOoYVz32BQ=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.0.11/handlebars.min.js" integrity="sha256-+JMHsXRyeTsws/tzbIh5YHQxRdKCuNjmvNcTFtY6DLc=" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/inputmask@4.0.1-beta.7/dist/min/jquery.inputmask.bundle.min.js"></script>
    <script src="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.10/summernote-bs4.js"></script>
    <script src="./assets/js/utils/config.js" type="module"></script>
    <script src="./assets/js/utils/checker.js" type="module"></script>
    <script src="./assets/js/utils/formatter.js" type="module"></script>
    <script src="./assets/js/utils/handlebars-helper.js" type="module"></script>
    <script src="./assets/js/bidding.js" type="module"></script>
</body>
</html>
